API-Key in Headers for authentication, which needs to be obtained from /api/plugin/key interface.currency - The legal currency used in the order, the valid value can be viewed using /api/order/pay/real-currency API.price The fiat currency amount paid for the order.succend_url - Link to page redirection after the order is completed, if this parameter is not passed, no redirection will be performed.timeout_url - The page redirection link after the order timeout, if this parameter is not passed, no redirection will be performed.callback_url - The callback URL after the order is completed, Api-Key will be attached to the request headers.timeout_callback - The callback URL after the order timeout, Api-Key will be appended to the request headers.fixed_encrypt_price (bool): Make the rate ratio of USDT to USD 1:1, Only stable currencies are supported. Default: Falseenable_post_callback(bool): Use the post method to callback and add order information to the request body. Default: FalseAPI-Key in the request header before executing the request.Applicable to callback_urlandtimeout_callbackfields
callback_url URL will be requested;timeout_callback URL will be requested.enable_post_callback is set to true, the callback will use a POST request and the order information will be attached to the request body.{
"user_id": "mct-bea5c44da875",
"order_id": "20250207040935220628",
"order_type": "ORDER",
"platform": "AURPAY",
"status": "PENDING",
"chain": "BTC",
"chain_name": "Bitcoin",
"currency": "BTC",
"amount": "0.00102549",
"vs_price": "100.0",
"vs_currency": "USD",
"remark": "",
"refund": false,
"bind_id": null,
"create_time": "2025-02-06T00:00:00",
"update_time": "2025-02-06T00:00:00",
"tx_id": "ca1f0db3-0a3d-47c5-94ed-c94193aa1934",
"tx_type": "ORDER",
"obtained": null,
"fee": "0.00000820392",
"from_addr": null,
"to_addr": "tb1q2vgyv8xh0d2sv9j8gpeuedd8sm7pyx5l064s2e",
"tx_hash": null,
"tx_hash_list": [],
"contract_id": null,
"website": null
}
curl --location 'https://dashboard.aurpay.net/api/order/pay-url' \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"price": 10, // Order amount in real currency - required
"currency": "USD", // Real currency type - required
"succeed_url": "https://example.com/succeed_url", // Redirect URL to checkout page after successful payment
"timeout_url": "https://example.com/timeout_url", // Redirect URL to checkout page after payment timeout
"callback_url": "https://example.com/callback_url", // Callback URL(GET) after successful payment
"timeout_callback": "https://example.com/timeout_callback", // Callback URL(GET) after payment timeout
"fixed_encrypt_price": false, // Make the rate ratio of USDT to USD 1:1. Default: False
"enable_post_callback": false // Use the post method to callback and add order information to the request body. Default: False
}'{
"code": 0,
"message": "ok",
"data": {
"pay_url": "https://dashboard.aurpay.net/#/cashier/choose?token=1ad16906cce282a5abe0e666ad99bddf20229630f948e5537f5b46f1f5beee1a"
},
"result": true
}